[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.DoShow

Performs actions needed when Visible is changed to True.

## Declaration

Source position: comctrls.pp line 257

`protected procedure TCustomPage.DoShow; virtual;`

## Description

DoShow is a method used to perform actions needed when Visible property is changed to True. DoShow signals the OnShow event handler (when assigned).

DoShow is called from the CMVisibleChanged message handler.

## See also

TCustomPage.Visible |  | Not stored in LCL component streaming for TCustomPage.
TCustomPage.OnShow |  | Event handler signalled when the page becomes visible.
TCustomPage.CMVisibleChanged |  | Handles the CM_VISIBLECHANGED message for the control.